package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;

public class UserNotice extends ASN1Encodable {
   private NoticeReference noticeRef;
   private DisplayText explicitText;

   public UserNotice(NoticeReference noticeRef, DisplayText explicitText) {
      this.noticeRef = noticeRef;
      this.explicitText = explicitText;
   }

   public UserNotice(NoticeReference noticeRef, String str) {
      UserNotice var10000 = this;
      super();
      this.noticeRef = noticeRef;
      DisplayText var3;
      var3 = new DisplayText.<init>(str);
      var10000.explicitText = var3;
   }

   public UserNotice(ASN1Sequence as) {
      if (as.size() == 2) {
         this.noticeRef = NoticeReference.getInstance(as.getObjectAt(0));
         this.explicitText = DisplayText.getInstance(as.getObjectAt(1));
      } else {
         if (as.size() != 1) {
            throw new IllegalArgumentException("Bad sequence size: " + as.size());
         }

         if (as.getObjectAt(0).getDERObject() instanceof ASN1Sequence) {
            this.noticeRef = NoticeReference.getInstance(as.getObjectAt(0));
         } else {
            this.explicitText = DisplayText.getInstance(as.getObjectAt(0));
         }
      }

   }

   public NoticeReference getNoticeRef() {
      return this.noticeRef;
   }

   public DisplayText getExplicitText() {
      return this.explicitText;
   }

   public DERObject toASN1Object() {
      ASN1EncodableVector var1;
      var1 = new ASN1EncodableVector.<init>();
      NoticeReference var2;
      if ((var2 = this.noticeRef) != null) {
         var1.add(var2);
      }

      DisplayText var3;
      if ((var3 = this.explicitText) != null) {
         var1.add(var3);
      }

      return new DERSequence(var1);
   }
}
